#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_TherionEventWeightCFGData
{
	//编号
	int mID;
	//事件名称
	std::string mEventName;
	//事件权重
	int mEventWeight;
	//圣兽宝藏权重
	int mTreasureWeight;
};

class Fish_TherionEventWeightCFG
{
public:
private:
	static std::auto_ptr<Fish_TherionEventWeightCFG> msSingleton;
public:
	int GetCount();
	const Fish_TherionEventWeightCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_TherionEventWeightCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_TherionEventWeightCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_TherionEventWeightCFGData> mMapData;
};
